<html>
<head>
<title>OgrePlatformInformation.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgrePlatformInformation.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
</div>
<p><a href="OgrePlatformInformation_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1PlatformInformation.html">Ogre::PlatformInformation</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class which provides the run-time platform information <a class="el" href="namespaceOgre.html">Ogre</a> runs on.  <a href="classOgre_1_1PlatformInformation.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#ae606623294d49af88c609d5855ee418b">OGRE_CPU_UNKNOWN</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#a03ad9692ca81e2302d7048c9d7695415">OGRE_CPU_X86</a>&#160;&#160;&#160;1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#a98616201d2102b59d9d10666f3ce8762">OGRE_CPU_PPC</a>&#160;&#160;&#160;2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#a87dfb3e6fd0e097cfc22bcf1a936b609">OGRE_CPU_ARM</a>&#160;&#160;&#160;3</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#a719f8e35fd54bc7946246292a772e5cc">OGRE_CPU</a>&#160;&#160;&#160;<a class="el" href="OgrePlatformInformation_8h.html#ae606623294d49af88c609d5855ee418b">OGRE_CPU_UNKNOWN</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#af405686ffe3dd6aa1b9683a99e5990ed">OGRE_ALIGNED_DECL</a>(type, var, alignment)&#160;&#160;&#160;type var</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#a30f03b7a029b1b1303e8f816b68c3368">OGRE_SIMD_ALIGNMENT</a>&#160;&#160;&#160;16</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Find perfect alignment (should supports SIMD alignment if SIMD available)  <a href="#a30f03b7a029b1b1303e8f816b68c3368"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#ae6883e4c8b217447e45bdaec1b1465af">OGRE_SIMD_ALIGNED_DECL</a>(type, var)&#160;&#160;&#160;<a class="el" href="OgrePlatformInformation_8h.html#af405686ffe3dd6aa1b9683a99e5990ed">OGRE_ALIGNED_DECL</a>(type, var, <a class="el" href="OgrePlatformInformation_8h.html#a30f03b7a029b1b1303e8f816b68c3368">OGRE_SIMD_ALIGNMENT</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#ac00688e814459c227d0c68a0f6352da7">__OGRE_HAVE_SSE</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#a7df14046b42696b67e14aec9141995f9">__OGRE_HAVE_VFP</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgrePlatformInformation_8h.html#a8e0a27b6fe252308fa9eb6700548a78c">__OGRE_HAVE_NEON</a>&#160;&#160;&#160;0</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a8e0a27b6fe252308fa9eb6700548a78c"></a><!-- doxytag: member="OgrePlatformInformation.h::__OGRE_HAVE_NEON" ref="a8e0a27b6fe252308fa9eb6700548a78c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#a8e0a27b6fe252308fa9eb6700548a78c">__OGRE_HAVE_NEON</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00119">119</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac00688e814459c227d0c68a0f6352da7"></a><!-- doxytag: member="OgrePlatformInformation.h::__OGRE_HAVE_SSE" ref="ac00688e814459c227d0c68a0f6352da7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#ac00688e814459c227d0c68a0f6352da7">__OGRE_HAVE_SSE</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00111">111</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7df14046b42696b67e14aec9141995f9"></a><!-- doxytag: member="OgrePlatformInformation.h::__OGRE_HAVE_VFP" ref="a7df14046b42696b67e14aec9141995f9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#a7df14046b42696b67e14aec9141995f9">__OGRE_HAVE_VFP</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00115">115</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="af405686ffe3dd6aa1b9683a99e5990ed"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_ALIGNED_DECL" ref="af405686ffe3dd6aa1b9683a99e5990ed" args="(type, var, alignment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#af405686ffe3dd6aa1b9683a99e5990ed">OGRE_ALIGNED_DECL</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">type, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">alignment&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;type var</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00072">72</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a719f8e35fd54bc7946246292a772e5cc"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU" ref="a719f8e35fd54bc7946246292a772e5cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#a719f8e35fd54bc7946246292a772e5cc">OGRE_CPU</a>&#160;&#160;&#160;<a class="el" href="OgrePlatformInformation_8h.html#ae606623294d49af88c609d5855ee418b">OGRE_CPU_UNKNOWN</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00060">60</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a87dfb3e6fd0e097cfc22bcf1a936b609"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU_ARM" ref="a87dfb3e6fd0e097cfc22bcf1a936b609" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#a87dfb3e6fd0e097cfc22bcf1a936b609">OGRE_CPU_ARM</a>&#160;&#160;&#160;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00043">43</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a98616201d2102b59d9d10666f3ce8762"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU_PPC" ref="a98616201d2102b59d9d10666f3ce8762" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#a98616201d2102b59d9d10666f3ce8762">OGRE_CPU_PPC</a>&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00042">42</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae606623294d49af88c609d5855ee418b"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU_UNKNOWN" ref="ae606623294d49af88c609d5855ee418b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#ae606623294d49af88c609d5855ee418b">OGRE_CPU_UNKNOWN</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00040">40</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a03ad9692ca81e2302d7048c9d7695415"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_CPU_X86" ref="a03ad9692ca81e2302d7048c9d7695415" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#a03ad9692ca81e2302d7048c9d7695415">OGRE_CPU_X86</a>&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00041">41</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae6883e4c8b217447e45bdaec1b1465af"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_SIMD_ALIGNED_DECL" ref="ae6883e4c8b217447e45bdaec1b1465af" args="(type, var)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#ae6883e4c8b217447e45bdaec1b1465af">OGRE_SIMD_ALIGNED_DECL</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">type, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">var&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td>&#160;&#160;&#160;<a class="el" href="OgrePlatformInformation_8h.html#af405686ffe3dd6aa1b9683a99e5990ed">OGRE_ALIGNED_DECL</a>(type, var, <a class="el" href="OgrePlatformInformation_8h.html#a30f03b7a029b1b1303e8f816b68c3368">OGRE_SIMD_ALIGNMENT</a>)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00086">86</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
<a class="anchor" id="a30f03b7a029b1b1303e8f816b68c3368"></a><!-- doxytag: member="OgrePlatformInformation.h::OGRE_SIMD_ALIGNMENT" ref="a30f03b7a029b1b1303e8f816b68c3368" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgrePlatformInformation_8h.html#a30f03b7a029b1b1303e8f816b68c3368">OGRE_SIMD_ALIGNMENT</a>&#160;&#160;&#160;16</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Find perfect alignment (should supports SIMD alignment if SIMD available) </p>

<p>Definition at line <a class="el" href="OgrePlatformInformation_8h_source.html#l00081">81</a> of file <a class="el" href="OgrePlatformInformation_8h_source.html">OgrePlatformInformation.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
